Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1048150 - automatic connection to p2p1 disabled in default settings
Summary: automatic connection to p2p1 disabled in default settings
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-03 09:54 UTC by Germano Massullo
Modified: 2015-06-29 14:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:07:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2014-01-03 09:54:46 UTC
Description of problem:
On clean Fedora KDE 20 installations, the p2p1 wired connection does not connect automatically when plugging the ethernet cord. This can be a problem for new Fedora users.

Version-Release number of selected component (if applicable):
kde-plasma-nm-0.9.3.2-1.fc20.x86_64

Comment 1 Jan Grulich 2014-01-03 10:08:40 UTC
This connection is created automatically by NetworkManager, not by plasma-nm and all connections created with our connection editor are connected automatically by default. I've just tried to remove my wired connection and restarted NetworkManager and this connection was automatically created again and connected automatically.

Comment 2 Jan Grulich 2014-01-14 12:14:10 UTC
Hmm, maybe it's our fault, because we use device → disconnect and according to documentation it says "Disconnects a device and prevents the device from automatically activating further connections without user intervention", so it looks it prevents from autoconnect when you previously disconnected a connection once. I don't know what to use instead, because when I deactivate only a connection, then it's autoconnected automatically again.

Comment 3 Eric Christensen 2014-04-03 02:06:11 UTC
I'm seeing this problem in NetworkManager 1:0.9.9.1-4.git20140319.fc20 (after updating to GNOME 3.12).  Every time I connect my Ethernet cable I have to manually activate the connection.

Comment 4 Dan Williams 2014-04-04 18:30:08 UTC
(In reply to Jan Grulich from comment #2)
> Hmm, maybe it's our fault, because we use device → disconnect and according
> to documentation it says "Disconnects a device and prevents the device from
> automatically activating further connections without user intervention", so
> it looks it prevents from autoconnect when you previously disconnected a
> connection once. I don't know what to use instead, because when I deactivate
> only a connection, then it's autoconnected automatically again.

Jan: Correct.

Connection Deactivate is used to terminate a connection, but if that connection is set autoconnect=yes, then it is still a candidate to be started again.

Device Disconnect is the user saying "stop this connection and put the device under manual control".  This will terminate the existing connection, and prevent any further automatic action with the device until either (a) suspend/resume or (b) the user starts another connection on the device.

Note that the Autoconnect device property is writable, which you can flip at any time, but that would simply reconnect the last-used connection too.

What's the goal?  That when the user disconnects a specific connection, to prevent automatic re-connection of it even though it is autoconnect=yes?

---

For the original issue, and for Eric, please see if the NetworkManager-config-server package is installed.  This places configuration into /etc/NetworkManager/conf.d that prevents the default-DHCP connections for wired devices.  If that is present, it was either installed manually, or might have been dragged in erroneously by Anaconda at install time.

Comment 5 Germano Massullo 2014-04-04 18:39:11 UTC
(In reply to Dan Williams from comment #4)
> For the original issue, and for Eric, please see if the
> NetworkManager-config-server package is installed.
I don't know if it is installed, I don't even remember which specific machine I installed Fedora on that day, but it is a problem that happens quite frequently on fresh Fedora installations, and my case has nothing to do with the disconnect feature of network applet, because if I need to disconnect the ethernet plug, I just unplug the ethernet cable.

When I experience the problem, I go into connection properties and I manually enable the autoconnection feature.

Comment 6 Eric Christensen 2014-04-04 18:45:54 UTC
(In reply to Dan Williams from comment #4)
> For the original issue, and for Eric, please see if the
> NetworkManager-config-server package is installed.  This places
> configuration into /etc/NetworkManager/conf.d that prevents the default-DHCP
> connections for wired devices.  If that is present, it was either installed
> manually, or might have been dragged in erroneously by Anaconda at install
> time.

It is not.

FWIW, selecting the "Connect Automatically" switch does fix the problem *however* I suspect this feature confuses the heck out of many users.

Comment 7 Eric Christensen 2014-10-27 14:02:25 UTC
I'm no longer seeing this issue now that I've moved off of GNOME.

Comment 8 Fedora End Of Life 2015-05-29 10:18:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 14:07:29 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.